MPD

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields

# filter_plugin Struct Reference

`#include <filter_plugin.h>`

## Data Fields
const char * | name
struct filter *(* | init )(const struct config_param *param, GError **error_r)
| Allocates and configures a filter.
void(* | finish )(struct filter *filter)
| Free instance data.
struct audio_format *(* | open )(struct filter *filter, struct audio_format *audio_format, GError **error_r)
| Opens a filter.
void(* | close )(struct filter *filter)
| Closes a filter.
const void *(* | filter )(struct filter *filter, const void *src, size_t src_size, size_t *dest_buffer_r, GError **error_r)
| Filters a block of PCM data.

## Detailed Description

Definition at line 37 of file filter_plugin.h.

## Field Documentation

void(* filter_plugin::close)(struct filter *filter)

Closes a filter.

Definition at line 66 of file filter_plugin.h.

const void*(* filter_plugin::filter)(struct filter *filter, const void *src, size_t src_size, size_t *dest_buffer_r, GError **error_r)

Filters a block of PCM data.

Definition at line 71 of file filter_plugin.h.

void(* filter_plugin::finish)(struct filter *filter)

Free instance data.

Definition at line 49 of file filter_plugin.h.

struct filter*(* filter_plugin::init)(const struct config_param *param, GError **error_r)`[read]`

Allocates and configures a filter.

Definition at line 43 of file filter_plugin.h.

const char* filter_plugin::name

Definition at line 38 of file filter_plugin.h.

struct audio_format*(* filter_plugin::open)(struct filter *filter, struct audio_format *audio_format, GError **error_r)`[read]`

Opens a filter.

Parameters:

  audio_format | the audio format of incoming data; the plugin may modify the object to enforce another input format

Definition at line 59 of file filter_plugin.h.

The documentation for this struct was generated from the following file:

- src/filter_plugin.h